#include <stdio.h>
#include <math.h>

int main(){
	int x1=64;
	int x2=123;
	int a = 1, b = -(x1+x2), c = x1*x2;
	printf("a=%d, b=%d, c=%d\n", a, b, c);

	int x;
	scanf("%d", &x);

	printf("%d\n", a*x*x + b*x + c);
	if(a*x*x + b*x + c == 0){
		printf("hurray! %d\n", x);
	}
	else{
		printf("zoinks!\n");
	}
}
